{{- if .Files.Glob "conf/configmaps/*" }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Values.serviceName | default .Release.Name }}-cm
  labels:
    app: {{ .Release.Name }}
    createDate: {{ now | date "2006-01-02T15-04-05" }}
    {{ with .Values.Labels }}
        {{- toYaml . | nindent 4 }}
    {{ end }}
data:
{{- (tpl (.Files.Glob "conf/configmaps/*").AsConfig . ) | nindent 2 }}
{{- end }}